------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-28
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(219, 207)
local Player_1 = CppScriptMgr:AddPlayer(847, 219, 207, "RippleElf", 0, 0)
local Player_2 = CppScriptMgr:AddPlayer(105, 212, 204, "", 0, 0)
Player_2:SetDir(6)
local Player_3 = CppScriptMgr:AddPlayer(105, 212, 211, "", 0, 0)
Player_3:SetDir(5)
local Player_4 = CppScriptMgr:AddPlayer(105, 219, 211, "", 0, 0)
Player_4:SetDir(4)
local Player_6 = CppScriptMgr:AddPlayer(105, 223, 207, "", 0, 0)
Player_6:SetDir(2)
local monster_0 = CppScriptMgr:AddPlayer(105, 215, 215, "", 0, 0)
monster_0:SetDir(5)
local monster_1 = CppScriptMgr:AddPlayer(105, 223, 218, "", 0, 0)
monster_1:SetDir(5)
local monster_2 = CppScriptMgr:AddPlayer(105, 230, 207, "", 0, 0)
monster_2:SetDir(2)
local monster_3 = CppScriptMgr:AddPlayer(105, 230, 211, "", 0, 0)
monster_3:SetDir(2)
local monster_4 = CppScriptMgr:AddPlayer(105, 227, 215, "", 0, 0)
monster_4:SetDir(3)
CppScriptMgr:WaitMilSec(800)
Player_1:SetAction(401)
Player_1:Say("Stay away from me!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("Humph! You are challenging me, little thing?", 1500)
CppScriptMgr:WaitMilSec(2490)
local Effect_1 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 219, 207, 33, 1, 1, 1)
Player_1:Say("Ah! It hurts!", 1500)
Player_1:SetAction(401)
Player_4:SetAction(401)
CppScriptMgr:WaitMilSec(2160)